Delete multiple notes
POST
/api/v1/notes/bulk/delete
Authorizations
Section titled “ Authorizations ”Request Bodyrequired
Section titled “ Request Bodyrequired ” Media type application/json
object
noteIds
required
Note IDs to soft-delete
Array<string>
Example
{ "noteIds": [ "507f1f77bcf86cd799439011", "507f1f77bcf86cd799439012", "507f1f77bcf86cd799439013" ]}Responses
Section titled “ Responses ”Notes soft-deleted successfully
Media type application/json
object
noteIds
required
Array<string>
skippedNoteIds
required
Array<string>
changedCount
required
number
skippedCount
required
number
Example
{ "noteIds": [ "507f1f77bcf86cd799439011", "507f1f77bcf86cd799439012" ], "skippedNoteIds": [ "507f1f77bcf86cd799439013" ], "changedCount": 2, "skippedCount": 1}One or more notes are outside the caller account
One or more notes were not found